<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="CMakePresetLoader">{
  &quot;useNewFormat&quot;: true
}</component>
  <component name="CMakeReloadState">
    <option name="reloaded" value="true" />
  </component>
  <component name="CMakeRunConfigurationManager">
    <generated>
      <config projectName="gmv-gateway-board" targetName="gmv-gateway-board.elf" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug-MinGW" ENABLED="true" CONFIG_NAME="Debug" TOOLCHAIN_NAME="MinGW" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="01ce1271-fbf8-4e14-b10b-a2875bdb8cd4" name="更改" comment="master-250125">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Inc/ffx_master.h" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Inc/ffx_master.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/freertos.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/freertos.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/iwdg.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/iwdg.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/main.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/main.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_deps" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_deps" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_log" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/ffx_master.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/ffx_master.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/freertos.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/freertos.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/main.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/main.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.elf" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.elf" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.hex" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.hex" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.map" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/gmv-gateway-board.map" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="EmbeddedSvdWindowState">
    <option name="columnWidths">
      <list>
        <option value="212" />
        <option value="92" />
        <option value="1102" />
      </list>
    </option>
    <option name="columnOrder">
      <list>
        <option value="名称" />
        <option value="值" />
        <option value="描述" />
      </list>
    </option>
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug-MinGW" />
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectApplicationVersion">
    <option name="ide" value="CLion" />
    <option name="majorVersion" value="2024" />
    <option name="minorVersion" value="1.4" />
    <option name="productBranch" value="Classic" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 7
}</component>
  <component name="ProjectId" id="2nV4WsYgEtOedwMFKmIl4PZl9aA" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "CMake 应用程序.gmv-gateway-board.elf.executor": "Run",
    "OpenOCD 下载并运行.OCD gmv-gateway-board.executor": "Debug",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.cidr.known.project.marker": "true",
    "RunOnceActivity.readMode.enableVisualFormatting": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "cf.first.check.clang-format": "false",
    "cidr.known.project.marker": "true",
    "git-widget-placeholder": "master-250106",
    "last_opened_file_path": "C:/Users/DELL/Desktop/gmv-gateway-board-v/Core/Inc",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "fileTemplates",
    "structure.view.defaults.are.configured": "true",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board-v\Core\Inc" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board-v\Core\Src" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Middlewares\Third_Party" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Middlewares\Third_Party\FreeRTOS\Source\CMSIS_RTOS_V2" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Core\Inc" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Inc" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <myKeys>
      <visibility group="Grunt" flag="true" />
      <visibility group="Gulp" flag="true" />
      <visibility group="HTTP 请求" flag="true" />
      <visibility group="Node.js" flag="true" />
      <visibility group="npm" flag="true" />
      <visibility group="yarn" flag="true" />
      <visibility group="最近的项目" flag="true" />
      <visibility group="运行 Python 文件" flag="true" />
      <visibility group="运行 conda 命令" flag="true" />
      <visibility group="运行 pip 命令" flag="true" />
      <visibility group="运行配置" flag="true" />
    </myKeys>
  </component>
  <component name="RunManager" selected="OpenOCD 下载并运行.OCD gmv-gateway-board">
    <configuration name="gmv-gateway-board.elf" type="CMakeRunConfiguration" factoryName="Application" REDIRECT_INPUT="false" ELEVATE="false" USE_EXTERNAL_CONSOLE="false" EMULATE_TERMINAL="false" PASS_PARENT_ENVS_2="true" PROJECT_NAME="gmv-gateway-board" TARGET_NAME="gmv-gateway-board.elf" CONFIG_NAME="Debug-MinGW" RUN_TARGET_PROJECT_NAME="gmv-gateway-board" RUN_TARGET_NAME="gmv-gateway-board.elf">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="CMake 应用程序.gmv-gateway-board.elf" />
      <item itemvalue="OpenOCD 下载并运行.OCD gmv-gateway-board" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="01ce1271-fbf8-4e14-b10b-a2875bdb8cd4" name="更改" comment="" />
      <created>1729044943562</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1729044943562</updated>
      <workItem from="1729044946903" duration="7978000" />
      <workItem from="1729056792328" duration="6444000" />
      <workItem from="1729071882365" duration="9000" />
      <workItem from="1729127338448" duration="7204000" />
      <workItem from="1729158876001" duration="66000" />
      <workItem from="1729159641169" duration="1429000" />
      <workItem from="1729161296926" duration="1810000" />
      <workItem from="1729214288847" duration="1091000" />
      <workItem from="1729217522360" duration="20756000" />
      <workItem from="1729247460332" duration="162000" />
      <workItem from="1729300053740" duration="14782000" />
      <workItem from="1729316096216" duration="1860000" />
      <workItem from="1729473635361" duration="6228000" />
      <workItem from="1729480226857" duration="19657000" />
      <workItem from="1729559621578" duration="4148000" />
      <workItem from="1729577088491" duration="602000" />
      <workItem from="1729580056881" duration="10586000" />
      <workItem from="1729651575018" duration="10266000" />
      <workItem from="1729740236295" duration="15559000" />
      <workItem from="1729818456376" duration="8114000" />
      <workItem from="1729904914346" duration="701000" />
      <workItem from="1729926643266" duration="11453000" />
      <workItem from="1730164286202" duration="15395000" />
      <workItem from="1730250475204" duration="16292000" />
      <workItem from="1730336727350" duration="27208000" />
      <workItem from="1730423231909" duration="19411000" />
      <workItem from="1730682596471" duration="186000" />
      <workItem from="1730682790198" duration="1245000" />
      <workItem from="1730706734748" duration="7032000" />
      <workItem from="1730769082877" duration="20666000" />
      <workItem from="1730859117113" duration="133000" />
      <workItem from="1730863020055" duration="20914000" />
      <workItem from="1730951196635" duration="831000" />
      <workItem from="1730960978022" duration="1817000" />
      <workItem from="1730964575796" duration="2684000" />
      <workItem from="1731028755119" duration="10809000" />
      <workItem from="1731050295979" duration="5445000" />
      <workItem from="1731059327869" duration="131000" />
      <workItem from="1731114574951" duration="1837000" />
      <workItem from="1731130384690" duration="10891000" />
      <workItem from="1731288096845" duration="28433000" />
      <workItem from="1731382273199" duration="26000" />
      <workItem from="1731403162409" duration="24000" />
      <workItem from="1731406158794" duration="174000" />
      <workItem from="1731460525141" duration="4917000" />
      <workItem from="1731479484085" duration="2772000" />
      <workItem from="1731547061181" duration="623000" />
      <workItem from="1732008251121" duration="1484000" />
      <workItem from="1732257641195" duration="1908000" />
      <workItem from="1732500067604" duration="5644000" />
      <workItem from="1732605063751" duration="1285000" />
      <workItem from="1732671350941" duration="8229000" />
      <workItem from="1733194560809" duration="5587000" />
      <workItem from="1733274376458" duration="11164000" />
      <workItem from="1733533873037" duration="6577000" />
      <workItem from="1733811785442" duration="4091000" />
      <workItem from="1734571208873" duration="749000" />
      <workItem from="1735957783607" duration="1737000" />
      <workItem from="1736125716627" duration="2326000" />
      <workItem from="1736216951249" duration="2477000" />
      <workItem from="1736471472350" duration="9759000" />
      <workItem from="1736730883445" duration="34276000" />
      <workItem from="1736903468414" duration="11687000" />
      <workItem from="1736990213250" duration="13289000" />
      <workItem from="1737093098830" duration="8194000" />
      <workItem from="1737162663101" duration="19804000" />
      <workItem from="1737335971450" duration="23004000" />
      <workItem from="1737366127025" duration="16543000" />
      <workItem from="1737510036576" duration="2366000" />
      <workItem from="1737681402539" duration="14545000" />
      <workItem from="1737704556929" duration="6190000" />
      <workItem from="1737767532243" duration="11941000" />
    </task>
    <task id="LOCAL-00001" summary="更新和功能">
      <option name="closed" value="true" />
      <created>1729673832888</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1729673832888</updated>
    </task>
    <task id="LOCAL-00002" summary="更新">
      <option name="closed" value="true" />
      <created>1729674085656</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1729674085656</updated>
    </task>
    <task id="LOCAL-00003" summary="更新241106">
      <option name="closed" value="true" />
      <created>1730878798087</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1730878798087</updated>
    </task>
    <task id="LOCAL-00004" summary="fix bug">
      <option name="closed" value="true" />
      <created>1730879259279</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1730879259279</updated>
    </task>
    <task id="LOCAL-00005" summary="fix bug">
      <option name="closed" value="true" />
      <created>1730879282721</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1730879282721</updated>
    </task>
    <task id="LOCAL-00006" summary="fix bug">
      <option name="closed" value="true" />
      <created>1731034103428</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1731034103428</updated>
    </task>
    <task id="LOCAL-00007" summary="fix bug">
      <option name="closed" value="true" />
      <created>1731314432049</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1731314432049</updated>
    </task>
    <task id="LOCAL-00008" summary="fix bug">
      <option name="closed" value="true" />
      <created>1731382293232</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1731382293232</updated>
    </task>
    <task id="LOCAL-00009" summary="fix bug">
      <option name="closed" value="true" />
      <created>1731493470629</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1731493470629</updated>
    </task>
    <task id="LOCAL-00010" summary="fix bug">
      <option name="closed" value="true" />
      <created>1736129448447</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1736129448447</updated>
    </task>
    <task id="LOCAL-00011" summary="master-250117">
      <option name="closed" value="true" />
      <created>1737097148709</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1737097148709</updated>
    </task>
    <task id="LOCAL-00012" summary="master-250125">
      <option name="closed" value="true" />
      <created>1737786283031</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1737786283031</updated>
    </task>
    <task id="LOCAL-00013" summary="master-250125">
      <option name="closed" value="true" />
      <created>1737786548908</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1737786548908</updated>
    </task>
    <option name="localTasksCounter" value="14" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VCPKGProject">
    <isAutomaticCheckingOnLaunch value="false" />
    <isAutomaticFoundErrors value="true" />
    <isAutomaticReloadCMake value="true" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="更新和功能" />
    <MESSAGE value="更新" />
    <MESSAGE value="更新241106" />
    <MESSAGE value="fix bug" />
    <MESSAGE value="master-250117" />
    <MESSAGE value="master-250125" />
    <option name="LAST_COMMIT_MESSAGE" value="master-250125" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="com.jetbrains.cidr.embedded.openocd.conf.type">
        <watch expression="data[5]" />
      </configuration>
    </watches-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>